Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.plugin
Class LutLoader

    java.lang.Object
      ij.ImagePlus
          ij.plugin.LutLoader

All Implemented Interfaces:
  java.awt.image.ImageObserver, Measurements, PlugIn

public class LutLoader
extends ImagePlus
implements PlugIn

Opens NIH Image look-up tables (LUTs), 768 byte binary LUTs (256 reds, 256 greens and 256 blues), LUTs in text format, or generates the LUT specified by the string argument passed to the run() method.

Field Summary

Fields inherited from class ij.ImagePlus
`changes, CLOSED, COLOR_256, COLOR_RGB, compositeImage, currentSlice, GRAY16, GRAY32, GRAY8, height, img, ip, locked, OPENED, pixelHeight, pixelWidth, roi, sCalibrated, unit, units, UPDATED, width, win`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Fields inherited from interface ij.measure.Measurements
`AREA, AREA_FRACTION, CENTER_OF_MASS, CENTROID, CIRCULARITY, ELLIPSE, FERET, INTEGRATED_DENSITY, INVERT_Y, KURTOSIS, LABELS, LIMIT, MAX_STANDARDS, MEAN, MEDIAN, MIN_MAX, MODE, PERIMETER, RECT, SKEWNESS, SLICE, STD_DEV`

Constructor Summary
`LutLoader()`

Method Summary
`void` | `run(java.lang.String arg)` If 'arg'="", displays a file open dialog and opens the specified LUT.

Methods inherited from class ij.ImagePlus
`addImageListener, close, copy, copyScale, createEmptyStack, createImagePlus, createLut, createNewRoi, draw, draw, flush, getBitDepth, getCalibration, getCanvas, getChannelProcessor, getClipboard, getCurrentSlice, getDimensions, getFileInfo, getGlobalCalibration, getHeight, getID, getImage, getImageStack, getImageStackSize, getLocalCalibration, getLocationAsString, getMask, getNChannels, getNFrames, getNSlices, getOriginalFileInfo, getPixel, getProcessor, getProperties, getProperty, getRoi, getShortTitle, getStack, getStackSize, getStartTime, getStatistics, getStatistics, getStatistics, getStatistics, getTitle, getType, getWidth, getWindow, hide, imageUpdate, isInvertedLut, isLocked, isProcessor, killProcessor, killRoi, killStack, lock, lockSilently, mouseMoved, notifyListeners, paste, removeImageListener, repaintWindow, resetClipboard, restoreRoi, revert, saveRoi, setActivated, setCalibration, setColor, setDimensions, setFileInfo, setGlobalCalibration, setIgnoreFlush, setImage, setProcessor, setProperty, setRoi, setRoi, setRoi, setSlice, setStack, setTitle, setType, setWindow, show, show, startTiming, toString, trimProcessor, unlock, updateAndDraw, updateAndRepaintWindow, updateChannelAndDraw, updateImage, updateStatusbarValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LutLoader

    public LutLoader()

Method Detail

### run

    public void run(java.lang.String arg)

  If 'arg'="", displays a file open dialog and opens the specified LUT. If 'arg' is a path, opens the LUT specified by the path. If 'arg'="fire", "ice", etc., uses a method to generate the LUT.

  Specified by:
    `run` in interface `PlugIn`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD